UseSharedCacheResourceRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: UseSharedCacheResourceRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class UseSharedCacheResourceRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.UseSharedCacheResourceRequestPBImpl

public class UseSharedCacheResourceRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UseSharedCacheResourceRequestPBImpl()`
  `UseSharedCacheResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.UseSharedCacheResourceRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.records.ApplicationId`
  `getAppId()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.UseSharedCacheResourceRequestProto`
  `getProto()`
  `String`
  `getResourceKey()`
  `void`
  `setAppId(org.apache.hadoop.yarn.api.records.ApplicationId id)`
  `void`
  `setResourceKey(String key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UseSharedCacheResourceRequestPBImpl

    public UseSharedCacheResourceRequestPBImpl()

  - ### UseSharedCacheResourceRequestPBImpl

    public UseSharedCacheResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.UseSharedCacheResourceRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.UseSharedCacheResourceRequestProto getProto()

  - ### getAppId

    public org.apache.hadoop.yarn.api.records.ApplicationId getAppId()
    Specified by:
      `getAppId` in class `org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest`

  - ### setAppId

    public void setAppId(org.apache.hadoop.yarn.api.records.ApplicationId id)
    Specified by:
      `setAppId` in class `org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest`

  - ### getResourceKey

    public String getResourceKey()
    Specified by:
      `getResourceKey` in class `org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest`

  - ### setResourceKey

    public void setResourceKey(String key)
    Specified by:
      `setResourceKey` in class `org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest`